---
title: "A swarm's members"
url: https://hexelstudio.com/docs/api/harness/swarms/members
---

# A swarm's members

**GET** `/harness/swarms/{id}/members`

## Headers

- `Authorization: string`

  `Bearer <token>`. A Hexel Studio access token for your organization.

- `X-Workspace-Id: string`

  The workspace the request acts in (`ws_...`). It never grants access by itself.

- `X-Environment-Id: string`

  The environment the request acts in (`env_...`). It never grants access by itself.

## Returns

`200` The members. (`object`)

- `members: array of SwarmMember`

  - `attempts: integer`

  - `cost_usd: number`

  - `created_at: string`

  - `end_reason: optional string`

  - `id: string`

  - `key: string`

  - `position: integer`

  - `requested_by: optional string`

  - `role: string`

    One of: `"member"`, `"reduce"`, `"lead"`, `"worker"`, `"stage"`, `"gather"`, `"board"`

  - `state: string`

    One of: `"blocked"`, `"queued"`, `"working"`, `"done"`, `"failed"`, `"skipped"`, `"escalated"`, `"cancelled"`

  - `task_id: optional string`

  - `updated_at: string`

## Errors

- `default` 

## Example

```bash
curl --request GET \
  --url 'https://api.hexelstudio.com/v1/harness/swarms/{id}/members' \
  --header "Authorization: Bearer $ACCESS_TOKEN" \
  --header 'X-Workspace-Id: X_WORKSPACE_ID' \
  --header 'X-Environment-Id: X_ENVIRONMENT_ID'
```

### Response (200)

```json
{
  "members": [
    {
      "attempts": 0,
      "cost_usd": 0,
      "created_at": "2026-01-01T00:00:00Z",
      "end_reason": "string",
      "id": "string",
      "key": "string",
      "position": 0,
      "requested_by": "string",
      "role": "member",
      "state": "blocked",
      "task_id": "string",
      "updated_at": "2026-01-01T00:00:00Z"
    }
  ]
}
```
